## libahp-xc 1.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(ahp_xc C CXX)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")

include(GNUInstallDirs)

find_package(M REQUIRED)
find_package(Threads REQUIRED)
find_package(URJTAG REQUIRED)
find_package(USB REQUIRED)
find_package(DFU REQUIRED)
find_package(FTDI REQUIRED)

set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
set(AHP_XC_VERSION_MAJOR 1)
set(AHP_XC_VERSION_MINOR 3)
set(AHP_XC_VERSION_RELEASE 3)
set(AHPXC_VERSION "${AHP_XC_VERSION_MAJOR}.${AHP_XC_VERSION_MINOR}.${AHP_XC_VERSION_RELEASE}")
set(AHP_XC_VERSION 0x${AHP_XC_VERSION_MAJOR}${AHP_XC_VERSION_MINOR}${AHP_XC_VERSION_RELEASE})
set(AHPXC_SOVERSION ${AHP_XC_VERSION_MAJOR})

set(SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/ahp_xc.c
   )

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ahp_xc.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/ahp_xc.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile )

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_INCLUDE_PATH})
include_directories(${URJTAG_INCLUDE_DIR})
include_directories(${USB_INCLUDE_DIR})
include_directories(${DFU_INCLUDE_DIR})
link_directories(${CMAKE_LIBRARY_PATH})

execute_process (COMMAND doxygen ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

add_library(ahp_xc SHARED ${SOURCES} ${PLATFORM_SOURCES})

if(WIN32)
    target_link_libraries(ahp_xc ws2_32 setupapi cfgmgr32)
else(WIN32)
   set_target_properties(ahp_xc PROPERTIES VERSION ${AHPXC_VERSION} SOVERSION ${AHPXC_SOVERSION})
endif(WIN32)

target_link_libraries(ahp_xc ${URJTAG_LIBRARIES} ${DFU_LIBRARIES} ${USB_LIBRARY} ${FTDI_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${M_LIB})

install(TARGETS ahp_xc LIBRARY DESTINATION ${LIB_INSTALL_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ahp_xc.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/ahp)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/FindAHPXC.cmake DESTINATION "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/cmake-${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}/Modules")

=== debian/changelog ===
libahp-xc (1.3.3-2) unstable; urgency=medium

  * source upload
  * remove symbol files temporarily (Closes: #1029558)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 26 Jan 2023 18:03:02 +0100

libahp-xc (1.3.3-1) unstable; urgency=medium

  * Initial Debian release

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 09 Jan 2023 21:03:02 +0100

=== debian/control ===
Source: libahp-xc
Section: misc
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13),
    cmake,
    libusb-dev,
    libusb-1.0-0-dev,
    libftdi-dev,
    libdfu-dev,
    liburjtag-dev
Standards-Version: 4.6.2
Homepage: http://iliaplatone.github.io/libahp-xc/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian-astro-team/libahp-xc
Vcs-Git: https://salsa.debian.org/debian-astro-team/libahp-xc.git

Package: libahp-xc1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Description: XC Correlators SDK - library
 This library is the official driver for the AHP XC Crosscorrelators.
 .
 The AHP XC correlators do cross-correlation and auto-correlation counting
 from quantum detectors, ranging from radio to photon counters to
 geiger-mode detectors or noise-scattering sensors. The XC series offer
 a scientific grade solution for laboratory testing and measurement in
 quantum resoluting detection environments.
 .
 This is the library package.

Package: libahp-xc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libahp-xc1 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: XC Correlators SDK - development
 This library is the official driver for the AHP XC Crosscorrelators.
 .
 The AHP XC correlators do cross-correlation and auto-correlation counting
 from quantum detectors, ranging from radio to photon counters to
 geiger-mode detectors or noise-scattering sensors. The XC series offer
 a scientific grade solution for laboratory testing and measurement in
 quantum resoluting detection environments.
 .
 This is the package for development.

## libahp-xc 1.3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,15 +8,11 @@
 
 find_package(M REQUIRED)
 find_package(Threads REQUIRED)
-find_package(URJTAG REQUIRED)
-find_package(USB REQUIRED)
-find_package(DFU REQUIRED)
-find_package(FTDI REQUIRED)
 
 set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
 set(AHP_XC_VERSION_MAJOR 1)
 set(AHP_XC_VERSION_MINOR 3)
-set(AHP_XC_VERSION_RELEASE 3)
+set(AHP_XC_VERSION_RELEASE 6)
 set(AHPXC_VERSION "${AHP_XC_VERSION_MAJOR}.${AHP_XC_VERSION_MINOR}.${AHP_XC_VERSION_RELEASE}")
 set(AHP_XC_VERSION 0x${AHP_XC_VERSION_MAJOR}${AHP_XC_VERSION_MINOR}${AHP_XC_VERSION_RELEASE})
 set(AHPXC_SOVERSION ${AHP_XC_VERSION_MAJOR})
@@ -25,6 +21,7 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/ahp_xc.c
    )
 
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/99-libahp-xc.rules.cmake ${CMAKE_CURRENT_BINARY_DIR}/99-libahp-xc.rules )
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ahp_xc.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/ahp_xc.h )
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile )
 
@@ -32,6 +29,7 @@
 include_directories(${CMAKE_INCLUDE_PATH})
 include_directories(${URJTAG_INCLUDE_DIR})
 include_directories(${USB_INCLUDE_DIR})
+include_directories(${USB1_INCLUDE_DIR})
 include_directories(${DFU_INCLUDE_DIR})
 link_directories(${CMAKE_LIBRARY_PATH})
 
@@ -43,6 +41,7 @@
     target_link_libraries(ahp_xc ws2_32 setupapi cfgmgr32)
 else(WIN32)
    set_target_properties(ahp_xc PROPERTIES VERSION ${AHPXC_VERSION} SOVERSION ${AHPXC_SOVERSION})
+   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/99-libahp-xc.rules DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/udev/rules.d)
 endif(WIN32)
 
 target_link_libraries(ahp_xc ${URJTAG_LIBRARIES} ${DFU_LIBRARIES} ${USB_LIBRARY} ${FTDI_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${M_LIB})

=== debian/changelog ===
libahp-xc (1.3.6-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 24 Jun 2023 00:41:36 +0200

libahp-xc (1.3.5-1) unstable; urgency=medium

  * New upstream release
  * debian/control: new hompage
  * deboan/control: set maintainer to debian-astro-team
  * also install udev rules
  * add autopkgtest

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 08 Jun 2023 19:51:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libahp-xc
 Section: misc
 Priority: optional
-Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper-compat (= 13),
     cmake,
     libusb-dev,
@@ -10,7 +11,7 @@
     libdfu-dev,
     liburjtag-dev
 Standards-Version: 4.6.2
-Homepage: http://iliaplatone.github.io/libahp-xc/
+Homepage: https://www.iliaplatone.com/xc
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/libahp-xc
 Vcs-Git: https://salsa.debian.org/debian-astro-team/libahp-xc.git

## libahp-xc 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,8 @@
 
 set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
 set(AHP_XC_VERSION_MAJOR 1)
-set(AHP_XC_VERSION_MINOR 3)
-set(AHP_XC_VERSION_RELEASE 6)
+set(AHP_XC_VERSION_MINOR 4)
+set(AHP_XC_VERSION_RELEASE 1)
 set(AHPXC_VERSION "${AHP_XC_VERSION_MAJOR}.${AHP_XC_VERSION_MINOR}.${AHP_XC_VERSION_RELEASE}")
 set(AHP_XC_VERSION 0x${AHP_XC_VERSION_MAJOR}${AHP_XC_VERSION_MINOR}${AHP_XC_VERSION_RELEASE})
 set(AHPXC_SOVERSION ${AHP_XC_VERSION_MAJOR})
@@ -27,10 +27,6 @@
 
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 include_directories(${CMAKE_INCLUDE_PATH})
-include_directories(${URJTAG_INCLUDE_DIR})
-include_directories(${USB_INCLUDE_DIR})
-include_directories(${USB1_INCLUDE_DIR})
-include_directories(${DFU_INCLUDE_DIR})
 link_directories(${CMAKE_LIBRARY_PATH})
 
 execute_process (COMMAND doxygen ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
@@ -44,7 +40,7 @@
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/99-libahp-xc.rules DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/udev/rules.d)
 endif(WIN32)
 
-target_link_libraries(ahp_xc ${URJTAG_LIBRARIES} ${DFU_LIBRARIES} ${USB_LIBRARY} ${FTDI_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${M_LIB})
+target_link_libraries(ahp_xc ${CMAKE_THREAD_LIBS_INIT} ${M_LIB})
 
 install(TARGETS ahp_xc LIBRARY DESTINATION ${LIB_INSTALL_DIR})
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ahp_xc.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/ahp)

=== debian/changelog ===
libahp-xc (1.4.1-1ubuntu1) noble; urgency=medium

  * Rename libahp-xc1 package as although it is not affected by the
    time_t transition to 64-bits, it is affected by the LFS migration
    which is implied by the time_t changes.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 19 Apr 2024 12:07:44 +1200

libahp-xc (1.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 24 Feb 2024 01:58:46 +0100

libahp-xc (1.3.7-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 02 Nov 2023 00:47:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libahp-xc
 Section: misc
 Priority: optional
-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper-compat (= 13),
     cmake,
@@ -16,7 +17,10 @@
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/libahp-xc
 Vcs-Git: https://salsa.debian.org/debian-astro-team/libahp-xc.git
 
-Package: libahp-xc1
+Package: libahp-xc1t64
+Provides: ${t64:Provides}
+Replaces: libahp-xc1
+Breaks: libahp-xc1 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -38,7 +42,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-	, libahp-xc1 (= ${binary:Version})
+	, libahp-xc1t64 (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Description: XC Correlators SDK - development
  This library is the official driver for the AHP XC Crosscorrelators.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:

	dh $@

## libahp-xc 1.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
 set(AHP_XC_VERSION_MAJOR 1)
 set(AHP_XC_VERSION_MINOR 4)
-set(AHP_XC_VERSION_RELEASE 1)
+set(AHP_XC_VERSION_RELEASE 4)
 set(AHPXC_VERSION "${AHP_XC_VERSION_MAJOR}.${AHP_XC_VERSION_MINOR}.${AHP_XC_VERSION_RELEASE}")
 set(AHP_XC_VERSION 0x${AHP_XC_VERSION_MAJOR}${AHP_XC_VERSION_MINOR}${AHP_XC_VERSION_RELEASE})
 set(AHPXC_SOVERSION ${AHP_XC_VERSION_MAJOR})

=== debian/changelog ===
libahp-xc (1.4.4-2) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113108)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:42:36 +0200

libahp-xc (1.4.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 15 Sep 2024 23:51:44 +0200

libahp-xc (1.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 06 May 2024 18:04:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libahp-xc
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper-compat (= 13),
     cmake,
@@ -11,16 +10,13 @@
     libftdi-dev,
     libdfu-dev,
     liburjtag-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.iliaplatone.com/xc
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/libahp-xc
 Vcs-Git: https://salsa.debian.org/debian-astro-team/libahp-xc.git
 
-Package: libahp-xc1t64
-Provides: ${t64:Provides}
-Replaces: libahp-xc1
-Breaks: libahp-xc1 (<< ${source:Version})
+Package: libahp-xc1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -42,7 +38,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-	, libahp-xc1t64 (= ${binary:Version})
+	, libahp-xc1 (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Description: XC Correlators SDK - development
  This library is the official driver for the AHP XC Crosscorrelators.

## libahp-xc 1.4.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8...4.0)

project(ahp_xc C CXX)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")

include(GNUInstallDirs)

find_package(Threads REQUIRED)

set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
set(AHP_XC_VERSION_MAJOR 1)
set(AHP_XC_VERSION_MINOR 4)
set(AHP_XC_VERSION_RELEASE 7)
set(AHPXC_VERSION "${AHP_XC_VERSION_MAJOR}.${AHP_XC_VERSION_MINOR}.${AHP_XC_VERSION_RELEASE}")
set(AHP_XC_VERSION 0x${AHP_XC_VERSION_MAJOR}${AHP_XC_VERSION_MINOR}${AHP_XC_VERSION_RELEASE})
set(AHPXC_SOVERSION ${AHP_XC_VERSION_MAJOR})

set(SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/ahp_xc.c
    ${CMAKE_CURRENT_SOURCE_DIR}/rs232.h
   )

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/brew.sh.cmake ${CMAKE_CURRENT_BINARY_DIR}/brew.sh )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ahp_xc.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/ahp_xc.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/FindAHPXC.cmake ${CMAKE_CURRENT_BINARY_DIR}/FindAHPXC.cmake )

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_INCLUDE_PATH})
link_directories(${CMAKE_LIBRARY_PATH})

execute_process (COMMAND doxygen ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

add_library(ahp_xc SHARED ${SOURCES} ${PLATFORM_SOURCES})

if(WIN32)
    target_link_libraries(ahp_xc ws2_32 setupapi cfgmgr32)
else(WIN32)
   set_target_properties(ahp_xc PROPERTIES VERSION ${AHPXC_VERSION} SOVERSION ${AHPXC_SOVERSION})
endif(WIN32)

target_link_libraries(ahp_xc ${CMAKE_THREAD_LIBS_INIT})

install(TARGETS ahp_xc LIBRARY DESTINATION ${LIB_INSTALL_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ahp_xc.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/ahp)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/FindAHPXC.cmake DESTINATION "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/cmake-${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}/Modules")

=== debian/changelog ===
libahp-xc (1.4.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: remove dependency on libftdi-dev (Closes: #1122882)
    Thanks a lot to Aurelien Jarno for the hint
  * remove cmake4.patch (applied upstream)
  * libahp-xc-dev.install: udev rules file no longer provided
  * no soname change, but also no rdeps in Debian

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 04 Jan 2026 13:20:20 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,9 @@
     cmake,
     libusb-dev,
     libusb-1.0-0-dev,
-    libftdi-dev,
     libdfu-dev,
     liburjtag-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://www.iliaplatone.com/xc
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/libahp-xc
